Retrieve Tax Invoice
Retrieves the contents (including the NTS approval number) of an e-tax invoice whose status is issuance complete. It is not retrievable before issuance is complete.
Usage examples: B2B transactions | Recurring billing
GET
/
v1
/
taxInvoices
/
{issuanceKey}
Retrieve Tax Invoice
curl --request GET \
--url https://xapi.bolta.io/v1/taxInvoices/{issuanceKey} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://xapi.bolta.io/v1/taxInvoices/{issuanceKey}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://xapi.bolta.io/v1/taxInvoices/{issuanceKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"issuanceKey": "<string>",
"ntsTransactionId": "<string>",
"issuedAt": "<string>",
"invoice": {
"date": "2023-12-25",
"supplier": {
"identificationNumber": "<string>",
"organizationName": "<string>",
"representativeName": "<string>",
"manager": {
"email": "jsmith@example.com",
"name": "<string>",
"telephone": "<string>"
},
"taxRegistrationId": "0001",
"address": "<string>",
"businessItem": "Software development and supply",
"businessType": "Information and communications"
},
"supplied": {
"identificationNumber": "<string>",
"organizationName": "<string>",
"representativeName": "<string>",
"managers": [
{
"email": "jsmith@example.com",
"name": "<string>",
"telephone": "<string>"
}
],
"taxRegistrationId": "0001",
"address": "<string>",
"businessItem": "Software development and supply",
"businessType": "Information and communications"
},
"items": [
{
"date": "2023-12-25",
"name": "<string>",
"supplyCost": 2,
"unitPrice": 1,
"quantity": 123,
"tax": 1,
"specification": "<string>",
"description": "<string>"
}
],
"description": "<string>"
}
}Authorizations
Base64-encode your API key and pass it. Enter the API key as the username and leave the password empty.
Path Parameters
Issuance request identifier
⌘I
Retrieve Tax Invoice
